% AMT - Data used to compare to model results
%
%   Data on specific topics
%      ABSOLUTETHRESHOLD    - Absolute threshold of hearing
%      SIIWEIGHTINGS        - Speech intelligibility weighted by frequency
%
%   Data from papers
%      DATA_ZWICKER1961     - Definition of critical bands.
%      DATA_LINDEMANN1986   - Lindemann et al. (1986).
%      DATA_BREEBAART2001   - Binaural masking level differences from Breebaart et al. (2001)
%      DATA_NEELY1988       - ABR wave V latency as function of center frequency.
%      DATA_VANDEPAR1999   - N0S0 masking thresholds from van de Paar et al. (1999)
%      DATA_GLASBERG1990    - Notched noise thresholds.
%      DATA_GOODE1994       - Stapes footplate diplacement.
%      DATA_PRALONG1996     - Headphone and outer ear data.
%      DATA_MIDDLEBROOKS1999 - Localization responses for individualized and non-ind. HRTFs from Middlebrooks (1999)
%      DATA_LOPEZPOVEDA2001 - Outer and middle ear filter data.
%      DATA_LANGENDIJK2002  - Localization responses from Langendijk et al. (2002)
%      DATA_MACPHERSON2003  - Localization responses from Macpherson and Middlebrooks (2003), spectral ripples
%      DATA_BEST2005        - Localization responses from Best et al. (2005), band-limited speech
%      DATA_HARTE2009       - Tone burst stimuli.
%      DATA_ELBERLING2010   - ABR wave V data as functon of level and sweeping rate.
%      DATA_GOUPELL2010     - Localization responses from Goupell et al. (2010), number of spectral channels
%      DATA_MAJDAK2010      - Localization responses from Majdak et al. (2010), general localization
%      DATA_ROENNE2012      - Unitary response.
%      DATA_BAUMGARTNER2013 - Data from Baumgartner et al. (2013)
%      DATA_BAUMGARTNER2014  - Data from Baumgartner et al. (2014)
%      DATA_BAUMGARTNER2016  - Data from Baumgartner et al. (2016)
%      DATA_BAUMGARTNER2017  - Data from Baumgartner et al. (2017)
%      DATA_MAJDAK2013CTC   - Localization responses from Majdak et al. (2013), cross-talk cancellation study
%      DATA_MAJDAK2013      - Localization responses from Majdak et al. (2013), spectral warping study
%      DATA_TAKANEN2013     - Data from Takanen et al. (2013)
%      DATA_WIERSTORF2013   - Data from Wierstorf et al. (2013)
%      DATA_ZIEGELWANGER2013 - Time-of-arrival in HRTFs from Ziegelwanger et al. (2013)
%      DATA_ZIEGELWANGER2014 - Time-of-arrival in HRTFs from Ziegelwanger and Majdak (2014)
%
%   Url: http://amtoolbox.sourceforge.net/amt-0.9.8/doc/data/Contents.php

% Copyright (C) 2009-2015 Piotr Majdak and Peter L. Søndergaard.
% This file is part of AMToolbox version 0.9.8
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

