% AMT - Model demonstrations
%
%   Demonstration of model stages and peripheral models
%     DEMO_ABSOLUTETHRESHOLD - Absolute thresholds of hearing
%     DEMO_GAMMATONE         - Gammatone filterbank
%     DEMO_ADAPTLOOP         - Adaptation loops
%     DEMO_DRNL              - Widening of filters in the DRNL
%     DEMO_HOHMANN2002       - Gammatone filterbank (Hohmann, 2002)
%     DEMO_ZILANY2014        - Non-linear model of the auditory filtering (Zilany et al., 2014)
%     DEMO_VERHULST2012      - Transmission line model of the cochlea (Verhulst et al., 2012)
%
%   Demonstration of spatial models
%     DEMO_LINDEMANN1986     - Lindemann binaural model.
%     DEMO_BREEBAART2001     - Binaural masking level differences from Breebaart et al. (2001)
%     DEMO_BAUMGARTNER2013   - Simple version of a sagittal-plane sound localization (Baumgartner et al., 2013)
%     DEMO_BAUMGARTNER2014   - Comprehensive version of the sagittal-plane sound localization (Baumgartner et al., 2014)
%     DEMO_BAUMGARTNER2016   - Non-linear version of the sagittal-plane sound localization (Baumgartner et al., 2016)
%     DEMO_TAKANEN2013       - Binaural activity map (Takanen et al., 2013)
%     DEMO_MAY2011           - Azimuth estimation of concurrent speakers (May et al., 2011)
%
%   Speech models
%     DEMO_JOERGENSEN2013    - SNRenv for speech intelligibility from Joergensen et al. (2013)
%     DEMO_JELFS2011         - Binaural speech intelligibility advantage from Jelfs et al. (2011)
%
%   Url: http://amtoolbox.sourceforge.net/amt-0.9.8/doc/demos/Contents.php

% Copyright (C) 2009-2015 Piotr Majdak and Peter L. Søndergaard.
% This file is part of AMToolbox version 0.9.8
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
