% AMT - Publication-specific models
%
%  HRTF models
%     ENZNER2008            - Azimuth-continuous measurement of HRTFs 
%     ZIEGELWANGER2014      - Direction-continuous model of time-of-arrival (TOA) in HRTFs
%     ZIEGELWANGER2013      - Direction-continuous model of time-of-arrival (TOA) in HRTFs (depracated)
%
%  Peripheral models
%     HOHMANN2002           - Invertible Gammatone filterbank 
%     VIEMEISTER1979        - Modulation detection model
%     VERHULST2012          - Cochlear transmition-line model 
%     ZILANY2007HUMANIZED   - Humanized auditory nerve model
%     ZILANY2014            - Auditory cochlear processing 
%     ROENNE2012            - Simulate ABR to given stimulus
%     KARJALAINEN1996       - Adaptation network
%
%  Spatial models
%     BAUMGARTNER2013       - Localization in saggital planes (preliminary)
%     BAUMGARTNER2014       - Localization in saggital planes (linear periphery)
%     BAUMGARTNER2016       - Localization in sagittal planes (nonlinear periphery)
%     LINDEMANN1986         - Calculate a binaural activity map
%     DIETZ2011             - Binaural azimuth estimation 
%     WIERSTORF2013         - Localization in a WFS or stereo setup
%     TAKANEN2013           - Binaural count-comparison model
%     MAY2011               - Azimuth of concurrent speakers
%     GEORGANTI2013         - Distance estimation
%     LANGENDIJK2002        - Median-plane localization probability
%     BAUMGARTNER2017       - Sound externalization model based on monaural spectral cues
%     KELVASA2015           - Localization in cochlear-implant listeners
%
%  Speech perception models
%    TAAL2011               - Short-time objective intelligibility
%    JOERGENSEN2011         - Speech-based envelope power spectrum based on Joergensen et al. (2011)
%    JOERGENSEN2013         - Speech-based envelope power spectrum with multi-resolution segmentation of the envelope based on Joergensen et al. (2013)
%    JELFS2011              - Binaural speech advantage
%
%
%   Url: http://amtoolbox.sourceforge.net/amt-0.9.8/doc/models/Contents.php

% Copyright (C) 2009-2015 Piotr Majdak and Peter L. Søndergaard.
% This file is part of AMToolbox version 0.9.8
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

